#include<stdio.h>
int main(){
	
	int a,b,x,y;
	
	scanf("%d", &a);
	scanf("%d", &b);
	scanf("%d", &x);
	scanf("%d", &y);
	
	if(x<a&&y==b)printf("prvi");
	if(x==a&&y<b)printf("drugi");
	if(x==a&&y==b)printf("nijedan");
	if(x<a&&y<b)printf("?");
	
	
	return 0;
}